> ## Documentation Index
> Fetch the complete documentation index at: https://api-reference.hyperswitch.io/llms.txt
> Use this file to discover all available pages before exploring further.

# API Key - Revoke

> Revoke the specified API Key. Once revoked, the API Key can no longer be used for
authenticating with our APIs.



## OpenAPI

````yaml delete /api_keys/{merchant_id}/{key_id}
openapi: 3.0.3
info:
  title: Hyperswitch - API Documentation
  description: >

    ## Get started


    Hyperswitch provides a collection of APIs that enable you to process and
    manage payments.

    Our APIs accept and return JSON in the HTTP body, and return standard HTTP
    response codes.


    You can consume the APIs directly using your favorite HTTP/REST library.


    We have a testing environment referred to "sandbox", which you can setup to
    test API calls without

    affecting production data.

    Currently, our sandbox environment is live while our production environment
    is under development

    and will be available soon.

    You can sign up on our Dashboard to get API keys to access Hyperswitch API.


    ### Environment


    Use the following base URLs when making requests to the APIs:


    | Environment   |  Base URL                          |

    |---------------|------------------------------------|

    | Sandbox       | <https://sandbox.hyperswitch.io>   |

    | Production    | <https://api.hyperswitch.io>       |


    ## Authentication


    When you sign up on our [dashboard](https://app.hyperswitch.io) and create a
    merchant

    account, you are given a secret key (also referred as api-key) and a
    publishable key.

    You may authenticate all API requests with Hyperswitch server by providing
    the appropriate key in

    the request Authorization header.


    | Key             | 
    Description                                                                                 
    |

    |-----------------|-----------------------------------------------------------------------------------------------|

    | api-key         | Private key. Used to authenticate all API requests from
    your merchant server                  |

    | publishable key | Unique identifier for your account. Used to authenticate
    API requests from your app's client  |


    Never share your secret api keys. Keep them guarded and secure.
  contact:
    name: Hyperswitch Support
    url: https://hyperswitch.io
    email: support.global@juspay.io
  license:
    name: Apache-2.0
  version: 0.1.0
servers:
  - url: https://sandbox.hyperswitch.io
    description: Sandbox Environment
security: []
tags:
  - name: Merchant Account
    description: Create and manage merchant accounts
  - name: Profile
    description: Create and manage profiles
  - name: Merchant Connector Account
    description: Create and manage merchant connector accounts
  - name: Payments
    description: Create and manage one-time payments, recurring payments and mandates
  - name: Refunds
    description: Create and manage refunds for successful payments
  - name: Mandates
    description: Manage mandates
  - name: Customers
    description: Create and manage customers
  - name: Payment Methods
    description: Create and manage payment methods of customers
  - name: Disputes
    description: Manage disputes
  - name: API Key
    description: Create and manage API Keys
  - name: Payouts
    description: Create and manage payouts
  - name: payment link
    description: Create payment link
  - name: Routing
    description: Create and manage routing configurations
  - name: Event
    description: Manage events
  - name: Authentication
    description: Create and manage authentication
  - name: Subscriptions
    description: Subscription management and billing endpoints
  - name: Card Issuer
    description: Create and manage card issuers
paths:
  /api_keys/{merchant_id}/{key_id}:
    delete:
      tags:
        - API Key
      summary: API Key - Revoke
      description: >-
        Revoke the specified API Key. Once revoked, the API Key can no longer be
        used for

        authenticating with our APIs.
      operationId: Revoke an API Key
      parameters:
        - name: merchant_id
          in: path
          description: The unique identifier for the merchant account
          required: true
          schema:
            type: string
        - name: key_id
          in: path
          description: The unique identifier for the API Key
          required: true
          schema:
            type: string
      responses:
        '200':
          description: API Key revoked
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RevokeApiKeyResponse'
        '404':
          description: API Key not found
      security:
        - admin_api_key: []
components:
  schemas:
    RevokeApiKeyResponse:
      type: object
      description: The response body for revoking an API Key.
      required:
        - merchant_id
        - key_id
        - revoked
      properties:
        merchant_id:
          type: string
          description: The identifier for the Merchant Account.
          example: y3oqhf46pyzuxjbcn2giaqnb44
          maxLength: 64
        key_id:
          type: string
          description: The identifier for the API Key.
          example: 5hEEqkgJUyuxgSKGArHA4mWSnX
          maxLength: 64
        revoked:
          type: boolean
          description: Indicates whether the API key was revoked or not.
          example: 'true'
  securitySchemes:
    admin_api_key:
      type: apiKey
      in: header
      name: api-key
      description: >-
        Admin API keys allow you to perform some privileged actions such as
        creating a merchant account and Merchant Connector account.

````